Đến nội dung


Hình ảnh
- - - - -

VBA xóa tất cả obj (line, text ...) trong bản vẽ


  • Please log in to reply
3 replies to this topic

#1 man.vtau

man.vtau

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 14 November 2014 - 03:28 PM

hi. mình đang cần 1 code để xóa tất cả các obj trong 1 bản vẽ. tương tự như mình bấm Ctr+A rồi delete. bạn nào biết chỉ giúp nhé. thanks.


  • 0

#2 Tot77

Tot77

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 990 Bài viết
Điểm đánh giá: 498 (tốt)

Đã gửi 14 November 2014 - 03:55 PM

Tôi k cài vba nên k test dc, bạn thử cái này xem.

Dim ssetObj As AcadSelectionSet
Set ssetObj = ThisDrawing.SelectionSets.Add("SSET")
ssetObj.Select acSelectionSetAll 
ssetObj.Erase

  • 0

#3 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1431 Bài viết
Điểm đánh giá: 1425 (rất tốt)

Đã gửi 14 November 2014 - 04:04 PM


Tôi k cài vba nên k test dc, bạn thử cái này xem. Dim ssetObj As AcadSelectionSet  

 

...

 

 

Bác  tính "nối giáo cho giặc" ???!!!


  • 0

#4 man.vtau

man.vtau

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 14 November 2014 - 04:56 PM

Tôi k cài vba nên k test dc, bạn thử cái này xem.

 

Dim ssetObj As AcadSelectionSet
Set ssetObj = ThisDrawing.SelectionSets.Add("SSET")
ssetObj.Select acSelectionSetAll 
ssetObj.Erase

thanks bạn.


  • 0